<?php
$loader = $this->registry->get('load');
$loader->controller('product/productList');

class ControllerModuleBoughtAlso extends ControllerProductProductList
{

    public function index($setting = null)
    {
        $this->language->load('module/boughtalso');

        if (isset($setting['hide_title'])) {
            $heading_title = false;
        } else {
            $heading_title = ($this->config->get('boughtalso_title')) ? $this->config->get('boughtalso_title') : $this->language->get('heading_title');
        }

        $this->data['productListTitle'] = array();

        $this->data['productListTitle'] = array(
            'heading_title' => $heading_title,
            'heading_subtitle' => $this->config->get('boughtalso_subtitle') ? $this->config->get('boughtalso_subtitle') : ''
        );
        
   
        $this->productlistitle->setProductListTitle($this->data['productListTitle']);

        $this->data['product_id'] = $this->request->get['product_id'];

        $this->data['heading_title'] = $heading_title;

        $this->childrenData = array(
            'product/productList/moduleBoughtalso' => $setting
        );

        $this->children = array(
            'common/product_list_title',
        );


        $this->render('module/boughtalso');
    }


}
